% [z,Fs]=audioread('Audio.wav');
% [z,Fs]=audioread('msg.wav');
% [z,Fs]=audioread('shake.wav');
% [z,Fs]=audioread('tweet.wav');
% [z,Fs]=audioread('Global.wav');
[z,Fs]=audioread('system.wav'); %读取语音信号的数据，赋给变量z

y1=rand(length(z),1);          %产生与z长度一致的均匀随机信号
y1_t=y1+z;
sound(y1_t);

y2=randn(length(z),1);          %产生与z长度一致的标准正态随机信号
y2_t=y2+z;
sound(y2_t);

t=(0:(size(z)-1))/Fs; 
A=(min(abs(z))+max(abs(z)))*0.5;
y3=A*sin(6*pi*50*t);         %加入正弦噪音
y3_t=y3'+z;
sound(y3_t);

figure(1);
subplot(2,1,1);
plot(z);                       %绘制原始语音信号的时域图形
set(gca,'Fontsize',22);
title('原始语音信号时域图','Fontsize',22);
xlabel('时间','Fontsize',22);
ylabel('幅度','Fontsize',22);

subplot(2,1,2);
plot(y1_t);                      %绘制加均匀噪声后语音信号的时域图形
set(gca,'Fontsize',22);
title('加均匀噪声后语音信号时域图','Fontsize',22);
xlabel('时间','Fontsize',22);
ylabel('幅度','Fontsize',22);

figure(2);
subplot(2,1,1);
plot(y2_t);                      %绘制加标准正态噪声后语音信号的时域图形
set(gca,'Fontsize',22);
title('加标准正态噪声后语音信号时域图','Fontsize',22);
xlabel('时间','Fontsize',22);
ylabel('幅度','Fontsize',22);

subplot(2,1,2);
plot(y3_t);                      %绘制加正弦噪声后语音信号的时域图形
set(gca,'Fontsize',22);
title('加标正弦噪声后语音信号时域图','Fontsize',22);
xlabel('时间','Fontsize',22);
ylabel('幅度','Fontsize',22);

z_f=fft(z,2048);                %对原始语音信号做2048点FFT变换
y1_f=fft(y1_t,2048);            %对加均匀噪声后语音信号做2048点FFT变换
y2_f=fft(y2_t,2048);            %对加标准正态噪声后语音信号做2048点FFT变换
y3_f=fft(y3_t,2048);            %对加正弦噪声后语音信号做2048点FFT变换

figure(3);
subplot(2,1,1);
plot(abs(z_f));
set(gca,'Fontsize',22);
title('原始语音信号频谱','Fontsize',22);
xlabel('频率','Fontsize',22);
ylabel('幅度','Fontsize',22);

subplot(2,1,2)
plot(abs(y1_f));
set(gca,'Fontsize',22);
title('加均匀噪声后语音信号频谱','Fontsize',22);
xlabel('频率','Fontsize',22);
ylabel('幅度','Fontsize',22);

figure(4);
subplot(2,1,1)
plot(abs(y2_f));
set(gca,'Fontsize',22);
title('加标准正态噪声后语音信号频谱','Fontsize',22);
xlabel('频率','Fontsize',22);
ylabel('幅度','Fontsize',22);

subplot(2,1,2)
plot(abs(y3_f));
set(gca,'Fontsize',22);
title('加正弦噪声后语音信号频谱','Fontsize',22);
xlabel('频率','Fontsize',22);
ylabel('幅度','Fontsize',22);
